Subject: Re: leading '=' in enviroment variable truncated
From: Bart Schaefer <[email-masked]>
To: Jacob Lowe <[email-masked]>, [email-masked]
Date: Sun, 8 May 2016 10:59:49 -0700
List-Id: Zsh Workers List <zsh-workers.zsh.org>

On May 7,  4:21pm, Jacob Lowe wrote:
}
} https://github.com/motdotla/dotenv/issues/140
} 
} TEST='=FOO' node -e 'console.log(process.env.TEST)'
} 
} This spits out "FOO" with no leading "=".

As mentioned in the dotenv issue, this happens only on OSX.  I've just
confirmed that it's a problem either with the library implementations
of setenv() / unsetenv(), or with zsh's use of them.  If I comment out
HAVE_SETENV / HAVE_UNSETENV from config.h and rebuild zsh, I am no
longer able to reproduce the problem.